Ask Your Question
5

upgrade to fuerte, problem with yaml-cpp

asked 2012-05-06 07:37:26 -0500

roaster gravatar image

updated 2012-05-06 08:06:47 -0500

Kevin gravatar image

Hi!

First I upgraded ubuntu to precise. Then I wanted to upgrade from ros-electric to ros-fuerte, with the deb line in sources.list.d/ros-latest.list changed (oneiric to precise).

There is a problem with the package yaml-cpp from ros-fuerte, and I was not able to uninstall the ros-electric version via apt-get remove yaml-cpp0.2.6-dev (apt errors see below). First my solution: for now I forced the installation of the precise package as follows:

dpkg -i --force-overwrite /var/cache/apt/archives/yaml-cpp_0.2.7-5precise-20120502-0513-+0000_amd64.deb

Status is now:

apt-cache policy yaml-cpp0.2.6-dev yaml-cpp0.2.6-dev: Installed: 0.2.6-4~oneiric Candidate: 0.2.6-4~oneiric Version table: * 0.2.6-4~oneiric 0 100 /var/lib/dpkg/status

apt-cache policy yaml-cpp yaml-cpp: Installed: 0.2.7-5precise-20120502-0513-+0000 Candidate: 0.2.7-5precise-20120502-0513-+0000 Version table: * 0.2.7-5precise-20120502-0513-+0000 0 500 http://packages.ros.org/ros/ubuntu/ precise/main amd64 Packages 100 /var/lib/dpkg/status

then was able to apt-get remove ros-electric-common ros-electric-image-common yaml-cpp0.2.6-dev apt-get --reinstall install yaml-cpp

I would be glad to hear about a cleaner way or if there is some dependencies missing in the deb file ("provides", "conflicts") preventing a clean upgrade. Anyway a parallel installation of electric and fuerte would be nice, but not possible with this conflict.

Here the error while installing ros-fuerte-desktop-full

apt-get -f install Reading package lists... Done Building dependency tree
Reading state information... Done Correcting dependencies... Done The following extra packages will be installed: yaml-cpp The following NEW packages will be installed: yaml-cpp 0 upgraded, 1 newly installed, 0 to remove and 4 not upgraded. 9 not fully installed or removed. Need to get 0 B/204 kB of archives. After this operation, 582 kB of additional disk space will be used. Do you want to continue [Y/n]? (Reading database ... 275638 files and directories currently installed.) Unpacking yaml-cpp (from .../yaml-cpp_0.2.7-5precise-20120502-0513-+0000_amd64.deb) ... dpkg: error processing /var/cache/apt/archives/yaml-cpp_0.2.7-5precise-20120502-0513-+0000_amd64.deb (--unpack): trying to overwrite '/usr/include/yaml-cpp/emitter.h', which is also in package yaml-cpp0.2.6-dev 0.2.6-4~oneiric No apport report written because MaxReports is reached already dpkg-deb: error: subprocess paste was killed by signal (Broken pipe) Errors were encountered while processing: /var/cache/apt/archives/yaml-cpp_0.2.7-5precise-20120502-0513-+0000_amd64.deb E: Sub-process /usr/bin/dpkg returned an error code (1)

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
3

answered 2012-05-25 06:43:17 -0500

Kevin gravatar image

I had the same problem just now when I upgraded to Percise and Fuerte. I did:

sudo apt-get remove ros-electric*
sudo apt-get autoremove

And then the normal install

sudo apt-get update
sudo apt-get install ros-fuerte-desktop-full

All seems to work now ...

edit flag offensive delete link more

Comments

Is this all that is needed to upgrade from electric to fuerte?

MarkyMark2012 gravatar image MarkyMark2012  ( 2012-05-25 17:18:47 -0500 )edit

I did it yesterday and it worked for me. Upgraded Ubuntu to 12.04 Precise first, then had the same issue you did. Then these were the step I did and it worked for me. First remove Electric and all of the old packages, then install Fuerte.

Kevin gravatar image Kevin  ( 2012-05-26 01:10:08 -0500 )edit
2

answered 2012-11-11 06:47:45 -0500

drewm1980 gravatar image

In addition to the already posted:

dpkg -i --force-overwrite /var/cache/apt/archives/yaml-cpp_0.2.7-5precise-20120502-0513-+0000_amd64.deb

I also had to run the following:

dpkg -i --force-overwrite /var/cache/apt/archives/libassimp-dev_2.0.863+dfsg-2_amd64.deb
edit flag offensive delete link more
0

answered 2012-05-07 16:45:38 -0500

tfoote gravatar image

You were having trouble using ROS Electric on Precise because it's not a target platform for Electric. Precise support is only for Fuerte and newer. The target platforms are defined in REP 3

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-05-06 07:37:26 -0500

Seen: 1,772 times

Last updated: Nov 11 '12